Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.query.parser
Class Part

    java.lang.Object
      org.springframework.data.repository.query.parser.Part

    public class Part

extends Object

A single part of a method name that has to be transformed into a query part. The actual transformation is defined by a `Part.Type` that is determined from inspecting the given part. The query part can then be looked up via `#getQueryPart()`.

Author:
  Oliver Gierke

Nested Class Summary
`static class` | `Part.Type` The type of a method name part.

Constructor Summary
`Part(String part, Class<?> clazz)` Creates a new `Part` from the given method name part, the `Class` the part originates from and the start parameter index.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getNumberOfArguments()` Returns how many method parameters are bound by this part.
`boolean` | `getParameterRequired()`
`Property` | `getProperty()`
`Part.Type` | `getType()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Part

    public Part(String part,
                Class<?> clazz)

  Creates a new `Part` from the given method name part, the `Class` the part originates from and the start parameter index.

  Parameters:
    `part` -
    `clazz` -

Method Detail

### getParameterRequired

    public boolean getParameterRequired()

### getNumberOfArguments

    public int getNumberOfArguments()

  Returns how many method parameters are bound by this part.

  Returns:

### getProperty

    public Property getProperty()

  Returns:
    the part

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getType

    public Part.Type getType()

  Returns:
    the type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.